summaryrefslogtreecommitdiff
path: root/openstack/usr/share/openstack/postgres-setup
diff options
context:
space:
mode:
Diffstat (limited to 'openstack/usr/share/openstack/postgres-setup')
-rw-r--r--openstack/usr/share/openstack/postgres-setup35
1 files changed, 35 insertions, 0 deletions
diff --git a/openstack/usr/share/openstack/postgres-setup b/openstack/usr/share/openstack/postgres-setup
new file mode 100644
index 00000000..36d89d97
--- /dev/null
+++ b/openstack/usr/share/openstack/postgres-setup
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -xe
+
+# Create postgres directories
+install -dm700 /var/lib/pgsql/data
+install -dm755 /var/run/postgresql
+
+# Create required system users and groups
+getent group postgress >/dev/null || groupadd -r -g 41 postgres
+getent passwd neutron >/dev/null || \
+ useradd --uid 41 -r -g postgres -d /var/lib/pgsql -s /sbin/nologin \
+ -c "PostgreSQL Server" postgres
+
+chown -R postgres:postgres /var/lib/pgsql /var/run/postgresql
+
+test -d /var/lib/pgsql/data/base || sudo -u postgres pg_ctl -D /var/lib/pgsql/data initdb
+
+
+exit 0